Page MenuHomePhabricator

Extension EtherEditor failing tests due to missing apihelp messages
Closed, ResolvedPublic

Description

See https://integration.wikimedia.org/ci/job/mwext-testextension-hhvm-jessie-non-voting/54/console

10:52:42 1) ApiDocumentationTest::testDocumentationExists with data set "Module GetEtherPadText with MiserMode=false, AllowCategorizedRecentChanges=false" ('GetEtherPadText', array(false, false))
10:52:42 Module description message apihelp-GetEtherPadText-description exists
10:52:42 Failed asserting that false is true.
10:52:42 
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
10:52:42 
10:52:42 2) ApiDocumentationTest::testDocumentationExists with data set "Module GetEtherPadText with MiserMode=true, AllowCategorizedRecentChanges=true" ('GetEtherPadText', array(true, true))
10:52:42 Module description message apihelp-GetEtherPadText-description exists
10:52:42 Failed asserting that false is true.
10:52:42 
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
10:52:42 
10:52:42 3) ApiDocumentationTest::testDocumentationExists with data set "Module ForkEtherPad with MiserMode=false, AllowCategorizedRecentChanges=false" ('ForkEtherPad', array(false, false))
10:52:42 Module description message apihelp-ForkEtherPad-description exists
10:52:42 Failed asserting that false is true.
10:52:42 
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
10:52:42 
10:52:42 4) ApiDocumentationTest::testDocumentationExists with data set "Module ForkEtherPad with MiserMode=true, AllowCategorizedRecentChanges=true" ('ForkEtherPad', array(true, true))
10:52:42 Module description message apihelp-ForkEtherPad-description exists
10:52:42 Failed asserting that false is true.
10:52:42 
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
10:52:42 
10:52:42 5) ApiDocumentationTest::testDocumentationExists with data set "Module DeleteEtherPad with MiserMode=false, AllowCategorizedRecentChanges=false" ('DeleteEtherPad', array(false, false))
10:52:42 Module description message apihelp-DeleteEtherPad-description exists
10:52:42 Failed asserting that false is true.
10:52:42 
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
10:52:42 
10:52:42 6) ApiDocumentationTest::testDocumentationExists with data set "Module DeleteEtherPad with MiserMode=true, AllowCategorizedRecentChanges=true" ('DeleteEtherPad', array(true, true))
10:52:42 Module description message apihelp-DeleteEtherPad-description exists
10:52:42 Failed asserting that false is true.
10:52:42 
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
10:52:42 
10:52:42 7) ApiDocumentationTest::testDocumentationExists with data set "Module EtherPadAuth with MiserMode=false, AllowCategorizedRecentChanges=false" ('EtherPadAuth', array(false, false))
10:52:42 Module description message apihelp-EtherPadAuth-description exists
10:52:42 Failed asserting that false is true.
10:52:42 
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
10:52:42 
10:52:42 8) ApiDocumentationTest::testDocumentationExists with data set "Module EtherPadAuth with MiserMode=true, AllowCategorizedRecentChanges=true" ('EtherPadAuth', array(true, true))
10:52:42 Module description message apihelp-EtherPadAuth-description exists
10:52:42 Failed asserting that false is true.
10:52:42 
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
10:52:42 
10:52:42 9) ApiDocumentationTest::testDocumentationExists with data set "Module GetContribs with MiserMode=false, AllowCategorizedRecentChanges=false" ('GetContribs', array(false, false))
10:52:42 Module description message apihelp-GetContribs-description exists
10:52:42 Failed asserting that false is true.
10:52:42 
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
10:52:42 
10:52:42 10) ApiDocumentationTest::testDocumentationExists with data set "Module GetContribs with MiserMode=true, AllowCategorizedRecentChanges=true" ('GetContribs', array(true, true))
10:52:42 Module description message apihelp-GetContribs-description exists
10:52:42 Failed asserting that false is true.
10:52:42 
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
10:52:42 
10:52:42 11) ApiDocumentationTest::testDocumentationExists with data set "Module GetCurrentUsers with MiserMode=false, AllowCategorizedRecentChanges=false" ('GetCurrentUsers', array(false, false))
10:52:42 Module description message apihelp-GetCurrentUsers-description exists
10:52:42 Failed asserting that false is true.
10:52:42 
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
10:52:42 
10:52:42 12) ApiDocumentationTest::testDocumentationExists with data set "Module GetCurrentUsers with MiserMode=true, AllowCategorizedRecentChanges=true" ('GetCurrentUsers', array(true, true))
10:52:42 Module description message apihelp-GetCurrentUsers-description exists
10:52:42 Failed asserting that false is true.
10:52:42 
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
10:52:42 
10:52:42 13) ApiDocumentationTest::testDocumentationExists with data set "Module KickFromPad with MiserMode=false, AllowCategorizedRecentChanges=false" ('KickFromPad', array(false, false))
10:52:42 Module description message apihelp-KickFromPad-description exists
10:52:42 Failed asserting that false is true.
10:52:42 
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
10:52:42 
10:52:42 14) ApiDocumentationTest::testDocumentationExists with data set "Module KickFromPad with MiserMode=true, AllowCategorizedRecentChanges=true" ('KickFromPad', array(true, true))
10:52:42 Module description message apihelp-KickFromPad-description exists
10:52:42 Failed asserting that false is true.
10:52:42 
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
10:52:42 
10:52:42 15) ApiDocumentationTest::testDocumentationExists with data set "Module GetOtherEtherpads with MiserMode=false, AllowCategorizedRecentChanges=false" ('GetOtherEtherpads', array(false, false))
10:52:42 Module description message apihelp-GetOtherEtherpads-description exists
10:52:42 Failed asserting that false is true.
10:52:42 
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
10:52:42 
10:52:42 16) ApiDocumentationTest::testDocumentationExists with data set "Module GetOtherEtherpads with MiserMode=true, AllowCategorizedRecentChanges=true" ('GetOtherEtherpads', array(true, true))
10:52:42 Module description message apihelp-GetOtherEtherpads-description exists
10:52:42 Failed asserting that false is true.
10:52:42 
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
10:52:42 
10:52:42 17) ApiDocumentationTest::testDocumentationExists with data set "Module CreateNewPadFromPage with MiserMode=false, AllowCategorizedRecentChanges=false" ('CreateNewPadFromPage', array(false, false))
10:52:42 Module description message apihelp-CreateNewPadFromPage-description exists
10:52:42 Failed asserting that false is true.
10:52:42 
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
10:52:42 
10:52:42 18) ApiDocumentationTest::testDocumentationExists with data set "Module CreateNewPadFromPage with MiserMode=true, AllowCategorizedRecentChanges=true" ('CreateNewPadFromPage', array(true, true))
10:52:42 Module description message apihelp-CreateNewPadFromPage-description exists
10:52:42 Failed asserting that false is true.
10:52:42 
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
10:52:42 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
10:52:42

Details

Related Gerrit Patches:
mediawiki/extensions/EtherEditor : masterFix extension EtherEditor failing tests

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptJan 10 2017, 6:26 PM
DatGuy claimed this task.Jan 13 2017, 5:39 PM

Change 331995 had a related patch set uploaded (by DatGuy):
Fix extension EtherEditor failing tests

https://gerrit.wikimedia.org/r/331995

@MarkTraceur isn't EtherEditor completely deprecated / outdated? Maybe we could just archive it.

Change 331995 merged by jenkins-bot:
Fix extension EtherEditor failing tests

https://gerrit.wikimedia.org/r/331995

Jdforrester-WMF closed this task as Resolved.Jan 16 2017, 7:59 PM